%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DB\\)
%define perl_version %(eval "`perl -V:version`"; echo $version)

Name:           perl-Carp-Clan
Version:        6.08
Release:        1
Summary:        Report errors from perspective of caller of a "clan" of modules

License:        GPL-1.0-or-later or Artistic-1.0
URL:            https://metacpan.org/release/Carp-Clan
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KENTNL/Carp-Clan-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils make perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(overload) perl(vars) perl(Test::Exception) perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description
This module is based on "'Carp.pm'" from Perl 5.005_03. It has been modified to skip all package
names matching the pattern given in the "use" statement inside the "'qw()'" term (or argument list).

%package help
Summary:        Help document for the perl-Carp-Clan package

%description help
Help document for the perl-Carp-Clan package.

%prep
%autosetup -n Carp-Clan-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README Changes
%license LICENSE
%{perl_vendorlib}/Carp/

%files help
%{_mandir}/man3/*.3*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 6.08-1
- Upgrade to version 6.08

* Sat Nov 23 2019 zhangchunyu <zhangchunyu11@huawei.com> - 6.06-11
- Package init

